Bug 617024 - [Broadcom 5.6 FEAT] bnx2: add AER support.
Summary: [Broadcom 5.6 FEAT] bnx2: add AER support.
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel   
(Show other bugs)
Version: 5.6
Hardware: All
OS: Linux
high
high
Target Milestone: rc
: 5.6
Assignee: John Feeney
QA Contact: Network QE
URL:
Whiteboard:
Keywords: FutureFeature, OtherQA
Depends On: 568601 641495
Blocks: 528587 557597 562684
TreeView+ depends on / blocked
 
Reported: 2010-07-21 23:15 UTC by Michael Chan
Modified: 2011-01-13 21:44 UTC (History)
23 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of: 568601
Environment:
Last Closed: 2011-01-13 21:44:22 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
[PATCH] bnx2: Add PCI Advanced Error Reporting. (2.89 KB, patch)
2010-08-07 00:53 UTC, Michael Chan
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:0017 normal SHIPPED_LIVE Important: Red Hat Enterprise Linux 5.6 kernel security and bug fix update 2011-01-13 10:37:42 UTC

Description Michael Chan 2010-07-21 23:15:08 UTC
+++ This bug was initially created as a clone of Bug #568601 +++

As requested by John, this BZ separates the AER feature from the general update of the bnx2 driver in bug 568601.

John has proposed a patch for the AER support.  Broadcom QA is currently setting up an environment to test using aer-inject.

Comment 1 Michael Chan 2010-08-07 00:53:09 UTC
Created attachment 437288 [details]
[PATCH] bnx2:  Add PCI Advanced Error Reporting.

This is the upstream patch we plan to send once net-next opens.  It is largely based on John's original patch.

Comment 2 Andrius Benokraitis 2010-08-09 14:09:29 UTC
Michael, exactly when do you plan on submitting this?

Comment 3 Michael Chan 2010-08-09 19:37:33 UTC
Dave Miller is not accepting any new features right now until net-next-2.6 opens.  It should open in about a week.  I'll be on vacation soon and will ask a co-worker to send the patch for me.  Thanks.

Comment 4 Andrius Benokraitis 2010-09-27 19:09:00 UTC
NOTE: this may not make RHEL 5.6 due to the development window for 5.6 Beta already being closed.

Comment 5 Michael Chan 2010-10-12 22:02:04 UTC
John, please also include this patch:

c239f279e571a272c1b32a1e84b8fa037b68f49c

    bnx2: Enable AER on PCIE devices only


in addition to the 1st patch:

cd709aa90648195e5b5823fa90eb0b3fb0e78ee4

    bnx2: Add PCI Advanced Error Reporting support.

Comment 6 John Feeney 2010-10-14 16:45:53 UTC
I encorporated both AER commits provided in comment #5 in a kernel build. See http://people.redhat.com/jfeeney/.rhel5.6/kernel-2.6.18-222.el5.bz617024.1*

Comment 7 John Feeney 2010-10-19 17:49:16 UTC
There is a tool that can be used to twiddle this driver to inject the errors.
I would suggest downloading the code and reviewing
http://www.kernel.org/pub/linux/utils/pci/aer-inject

Comment 8 John Feeney 2010-10-21 19:01:43 UTC
Joshua,
I noticed that you set the verified field today. Does this mean that you successfully tested the kernel I provided in comment #6?

Just making sure. 
  Thanks if you did.
   John

Comment 9 Joshua powers 2010-10-21 19:06:20 UTC
Hi John,

Yep
[root@pilot ~]# uname -a
Linux pilot.hydra.ios 2.6.18-222.el5.bz617024.1 #1 SMP Wed Oct 13 16:36:45 EDT 2010 x86_64 x86_64 x86_64 GNU/Linux
[root@pilot ~]#

Comment 10 John Feeney 2010-10-22 15:56:48 UTC
Joshua, 
I have been asked for the details of the testing you performed. Would it be possible to provide them here?
  Thanks.

Comment 11 Joshua powers 2010-10-25 14:27:48 UTC
Hi John,

We have a script that injects each of the types of errors to a specific bus and function. We did this with the bnx2 device and then reviewed messages to verify:

1) The correct error status bits were being set.
2) No additional error status bits were being set between tests.
3) The link was coming back up after each correctable error.

Comment 14 Jarod Wilson 2010-11-16 16:57:31 UTC
in kernel-2.6.18-232.el5
You can download this test kernel (or newer) from http://people.redhat.com/jwilson/el5

Detailed testing feedback is always welcomed.

Comment 17 errata-xmlrpc 2011-01-13 21:44:22 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2011-0017.html


Note You need to log in before you can comment on or make changes to this bug.